Subject: Re: libxml2/libxslt binaries: libxml2 version mismatch in xsltproc
From: Robert Collins <[email-masked]>
To: Yves Forkl <[email-masked]>
Cc: [email-masked]
Date: 19 Nov 2002 22:42:18 +1100

On Mon, 2002-11-18 at 21:19, Yves Forkl wrote:

> 
> Sorry for not being clear about the specific problem I encountered which
> is almost certainly caused by the version mismatch, but I didn't know if
> that classified as a bug proper - please see the description of the
> problem in the message included.

Well, for future reference, unclear messages get a 'clarify or go away'
response 100% of the time.

> > $ xsltproc --version
> > Using libxml 20417, libxslt 10010 and libexslt 703
> > xsltproc was compiled against libxml 20413, libxslt 10010 and libexslt
> > 703
> > libxslt 10010 was compiled against libxml 20413
> > libexslt 703 was compiled against libxml 20413
> 
>   Looks 1/ old 2/ bad (the library used an the one the application was
> compiled again do not match)
...
>   Simply upgrade then !

I need time to do a new build , a new libxml and libxslt have just been
released anyway. For now, you can build your own, using the patches in
the cygwin source packages as a starting point.

I suspect this is an age thing, not a version mismatch BTW.

Rob

> 
-- 
---
GPG key available at: http://users.bigpond.net.au/robertc/keys.txt.
---